curl --request POST \
--url https://api.vanta.com/v1/groups/{groupId}/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'{
"id": "65e1efde08e8478f143a8ff9",
"userId": "65e1efde08e8478f143a9001",
"emailAddress": "example-person@email.com",
"employment": {
"endDate": null,
"jobTitle": "Customer success manager",
"startDate": "2021-01-01T00:00:00.000Z",
"status": "CURRENT"
},
"leaveInfo": null,
"groupIds": [
"5f2c939a52855e725c8d5824"
],
"name": {
"display": "Example Person",
"last": "Person",
"first": "Example"
},
"sources": {
"emailAddress": {
"integrationId": "gsuiteadmin",
"resourceId": "660c701d3d344e660b032306",
"type": "INTEGRATION"
},
"employment": {
"startDate": {
"integrationId": "gusto",
"resourceId": "660c70783d344e660b032323",
"type": "INTEGRATION"
},
"endDate": {
"integrationId": "gusto",
"resourceId": "660c70783d344e660b032323",
"type": "INTEGRATION"
}
}
},
"tasksSummary": {
"completionDate": null,
"dueDate": "2021-12-01T00:00:00.000Z",
"status": "OVERDUE",
"details": {
"completeTrainings": {
"taskType": "COMPLETE_TRAININGS",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": {
"date": "2021-11-01T00:00:00.000Z",
"reason": "Training Vanta tests have been disabled for this person"
},
"incompleteTrainings": [
{
"name": "Security training 1"
},
{
"name": "Security training 2"
}
],
"completedTrainings": [
{
"name": "Security training 3"
},
{
"name": "Security training 4"
}
]
},
"acceptPolicies": {
"taskType": "ACCEPT_POLICIES",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": null,
"unacceptedPolicies": [
{
"name": "Policy 1"
},
{
"name": "Policy 2"
}
],
"acceptedPolicies": [
{
"name": "Policy 3"
},
{
"name": "Policy 4"
}
]
},
"completeCustomTasks": {
"taskType": "COMPLETE_CUSTOM_TASKS",
"status": "OVERDUE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": {
"date": "2021-11-01T00:00:00.000Z",
"reason": "Custom task Vanta tests have been disabled for this person"
},
"incompleteCustomTasks": [
{
"name": "Custom task 1"
},
{
"name": "Custom task 2"
}
],
"completedCustomTasks": [
{
"name": "Custom task 3"
},
{
"name": "Custom task 4"
}
]
},
"completeOffboardingCustomTasks": {
"taskType": "COMPLETE_CUSTOM_OFFBOARDING_TASKS",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": null,
"incompleteCustomOffboardingTasks": [],
"completedCustomOffboardingTasks": [
{
"name": "Custom offboarding task 1"
},
{
"name": "Custom offboarding task 2"
}
]
},
"installDeviceMonitoring": {
"taskType": "INSTALL_DEVICE_MONITORING",
"status": "DUE_SOON",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": null,
"disabled": null
},
"completeBackgroundChecks": {
"taskType": "COMPLETE_BACKGROUND_CHECKS",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": null
}
}
}
}Add a single person, by ID, to a group.
curl --request POST \
--url https://api.vanta.com/v1/groups/{groupId}/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'{
"id": "65e1efde08e8478f143a8ff9",
"userId": "65e1efde08e8478f143a9001",
"emailAddress": "example-person@email.com",
"employment": {
"endDate": null,
"jobTitle": "Customer success manager",
"startDate": "2021-01-01T00:00:00.000Z",
"status": "CURRENT"
},
"leaveInfo": null,
"groupIds": [
"5f2c939a52855e725c8d5824"
],
"name": {
"display": "Example Person",
"last": "Person",
"first": "Example"
},
"sources": {
"emailAddress": {
"integrationId": "gsuiteadmin",
"resourceId": "660c701d3d344e660b032306",
"type": "INTEGRATION"
},
"employment": {
"startDate": {
"integrationId": "gusto",
"resourceId": "660c70783d344e660b032323",
"type": "INTEGRATION"
},
"endDate": {
"integrationId": "gusto",
"resourceId": "660c70783d344e660b032323",
"type": "INTEGRATION"
}
}
},
"tasksSummary": {
"completionDate": null,
"dueDate": "2021-12-01T00:00:00.000Z",
"status": "OVERDUE",
"details": {
"completeTrainings": {
"taskType": "COMPLETE_TRAININGS",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": {
"date": "2021-11-01T00:00:00.000Z",
"reason": "Training Vanta tests have been disabled for this person"
},
"incompleteTrainings": [
{
"name": "Security training 1"
},
{
"name": "Security training 2"
}
],
"completedTrainings": [
{
"name": "Security training 3"
},
{
"name": "Security training 4"
}
]
},
"acceptPolicies": {
"taskType": "ACCEPT_POLICIES",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": null,
"unacceptedPolicies": [
{
"name": "Policy 1"
},
{
"name": "Policy 2"
}
],
"acceptedPolicies": [
{
"name": "Policy 3"
},
{
"name": "Policy 4"
}
]
},
"completeCustomTasks": {
"taskType": "COMPLETE_CUSTOM_TASKS",
"status": "OVERDUE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": {
"date": "2021-11-01T00:00:00.000Z",
"reason": "Custom task Vanta tests have been disabled for this person"
},
"incompleteCustomTasks": [
{
"name": "Custom task 1"
},
{
"name": "Custom task 2"
}
],
"completedCustomTasks": [
{
"name": "Custom task 3"
},
{
"name": "Custom task 4"
}
]
},
"completeOffboardingCustomTasks": {
"taskType": "COMPLETE_CUSTOM_OFFBOARDING_TASKS",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": null,
"incompleteCustomOffboardingTasks": [],
"completedCustomOffboardingTasks": [
{
"name": "Custom offboarding task 1"
},
{
"name": "Custom offboarding task 2"
}
]
},
"installDeviceMonitoring": {
"taskType": "INSTALL_DEVICE_MONITORING",
"status": "DUE_SOON",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": null,
"disabled": null
},
"completeBackgroundChecks": {
"taskType": "COMPLETE_BACKGROUND_CHECKS",
"status": "COMPLETE",
"dueDate": "2021-12-01T00:00:00.000Z",
"completionDate": "2021-11-01T00:00:00.000Z",
"disabled": null
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Ok
The ID of the Vanta user account associated with this person, if one exists.
Show child attributes
If present, the user's active/upcoming leave. Empty if the user has no active/upcoming leave.
Show child attributes
The id of each group the user belongs to. This includes both manually created groups in Vanta and groups imported from an identity provider.
Show child attributes
The sources of the person's information.
Show child attributes
The person's tasks summary, which aggregates their current status across all of their relevant tasks.
Show child attributes
Was this page helpful?